import { VerticalAnchoredCategorySeries } from "./VerticalAnchoredCategorySeries";
import { IBarSeries } from "./IBarSeries";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Rect } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { List$1 } from "igniteui-react-core";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { CategorySeriesView } from "./CategorySeriesView";
import { CategoryFramePreparer } from "./CategoryFramePreparer";
import { CategoryMode } from "./CategoryMode";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryBucketCalculator } from "./CategoryBucketCalculator";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class BarSeries extends VerticalAnchoredCategorySeries implements IBarSeries {
    static $t: Type;
    protected bi(): Series;
    protected get_ev(): boolean;
    protected ji(): number;
    protected get_fj(): boolean;
    protected cq(): SeriesView;
    protected yu(): CategoryTransitionInMode;
    cw(): SeriesVisibleRangeMode;
    qw(a: SeriesView): void;
    ab4: BarSeriesView;
    protected get_eb(): boolean;
    wg(a: Point): Rect;
    gu(a: Point, b: boolean): boolean;
    constructor();
    yq(a: CategorySeriesView): CategoryFramePreparer;
    ac(): void;
    ab5: number;
    ab6: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    o2(a: boolean, b: SeriesView): void;
    zo(): number;
    aap(a: CategorySeriesView): number;
    ax(a: Axis): AxisRange;
    gb(a: any): boolean;
    iu(): number;
    z3(a: CategoryFrame, b: CategorySeriesView): void;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected q4(a: any, b: string, c: any, d: any): void;
    getPreferredCategoryMode(): CategoryMode;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BarBucketCalculator extends CategoryBucketCalculator {
    static $t: Type;
    constructor(a: BarSeriesView);
    protected i: BarSeriesView;
    g(a: number): void;
    getBucketWithoutUnknowns(a: number): number[];
    getBucket(a: number): number[];
    private h;
    private j;
    cacheValues(): void;
    unCacheValues(): void;
}
/**
 * @hidden
 */
export declare class BarSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    df: BarSeries;
    constructor(a: BarSeries);
    dg: Pool$1<Rectangle>;
    au(): void;
    dn(): Rectangle;
    dh: List$1<Rectangle>;
    di(a: Rectangle): void;
    dk(a: Rectangle): void;
    dj(a: Rectangle): void;
    dl(a: Rectangle, b: number, c: number): void;
    cx(): CategoryBucketCalculator;
    protected bh(a: any, b: number): void;
    protected ac(a: number): any;
    private dm;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
